Changes between Initial Version and Version 2 of Ticket #16682


Ignore:
Timestamp:
2018-08-24T11:09:43+02:00 (3 years ago)
Author:
stoecker
Comment:

Change proposed name

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #16682 – Description

    initial v2  
    99- JavaFX is based on native libraries, the plugin must install only those for the current platform. If I remember correctly the JOGL plugin does already something like this.
    1010- the plugin classes will have to be made available to JOSM core classloader for MP3 support => a new plugin property must be added for this (`Core-Export`?)
    11 - the plugin will include OpenJFX 11. As we still need to support Java 8, the plugin must not be loaded on Java <= 10, for compatibility reasons => a new plugin property must be added for this (`Main-Java-Version`?)
     11- the plugin will include OpenJFX 11. As we still need to support Java 8, the plugin must not be loaded on Java <= 10, for compatibility reasons => a new plugin property must be added for this (`Minimum-Java-Version`?)